Get an extension
GET
/
v1
/
accounts
/
{account_id}
/
telephony
/
sip-trunks
/
{trunk_id}
/
extensions
/
{extension}
Get an extension
curl --request GET \
--url https://api.us.poly.ai/v1/accounts/{account_id}/telephony/sip-trunks/{trunk_id}/extensions/{extension} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.us.poly.ai/v1/accounts/{account_id}/telephony/sip-trunks/{trunk_id}/extensions/{extension}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.us.poly.ai/v1/accounts/{account_id}/telephony/sip-trunks/{trunk_id}/extensions/{extension}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"extension": "<string>",
"agent": {
"agent_id": "<string>",
"client_env": "sandbox",
"variant_id": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"success": true,
"error": "<string>",
"message": "<string>"
}{
"success": true,
"error": "<string>",
"message": "<string>"
}{
"success": true,
"error": "<string>",
"message": "<string>"
}Authorizations
Path Parameters
ID of the account that owns the SIP Trunk.
The SIP Trunk ID.
The dialed number or extension (URL-encoded).
Response
The extension.
An Extension binds a dialed number on a trunk to a PolyAI agent.
The dialed number or extension.
The PolyAI agent an extension routes calls to.
Show child attributes
Show child attributes
RFC 3339 timestamp of when the extension was created.
RFC 3339 timestamp of when the extension was last updated.
Last modified on July 30, 2026
Was this page helpful?
⌘I
Get an extension

